Đến nội dung


Hình ảnh

Làm cho nét vẽ to lên trong bản vẽ ...!


  • Please log in to reply
13 replies to this topic

#1 trandanxd

trandanxd

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 June 2010 - 10:23 AM

Em đang muốn cho nét vẽ to lên trong bản vẽ thì làm sao hả các bác.
Nếu dùng lệnh PL thì có vẻ hơi chậm. Và vẽ các cung tròng đường tròn mà những nét đó nó ta ra thì làm thế nào.
Ai biết cách nào vẽ nhanh thì chỉ em với. Ở đây là em đang vẽ các đờng ống dẫn nước.
  • 0
Người ta thường cô đơn bởi vì người ta thường chỉ lo xây tường chứ không lo xây dựng những nhịp cầu.
Hình đã gửi

#2 Mũn xinh

Mũn xinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1313 Bài viết
Điểm đánh giá: 633 (tốt)

Đã gửi 23 June 2010 - 11:08 AM

Bạn đặt giá trị độ lớn của nét trong bảng layer rồi bật tùy chọn LWT (lineweight) ở fía dưới màn hình lên là được.
  • 3

...Một chiều ngồi say

Một đời thật nhẹ

Ngày qua...


#3 trandanxd

trandanxd

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 June 2010 - 01:49 PM

Bạn đặt giá trị độ lớn của nét trong bảng layer rồi bật tùy chọn LWT (lineweight) ở fía dưới màn hình lên là được.

Cảm ơn anh nhiều em đã làm được rồi nhé.
THANKS!!!
Nhưng mà anh ơi em xem trong bản vẽ ở Công ty thấy không dùng cách này mấy đường cong của nó nhìn vẫn đẹp lắm à.
  • 0
Người ta thường cô đơn bởi vì người ta thường chỉ lo xây tường chứ không lo xây dựng những nhịp cầu.
Hình đã gửi

#4 Mũn xinh

Mũn xinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1313 Bài viết
Điểm đánh giá: 633 (tốt)

Đã gửi 23 June 2010 - 03:36 PM

Bạn up bản vẽ đó lên được ko?
  • 0

...Một chiều ngồi say

Một đời thật nhẹ

Ngày qua...


#5 trandanxd

trandanxd

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 June 2010 - 03:45 PM

Bạn up bản vẽ đó lên được ko?

đây bạn thử down về coi xem nó vẽ mấy nét đậm màu xnah kiểu gì rồi chỉ mình với.
Chứ làm như cách bên trên lúc in ra không thấy.
Link: http://www.mediafire.com/?ummixniyi3w
  • 0
Người ta thường cô đơn bởi vì người ta thường chỉ lo xây tường chứ không lo xây dựng những nhịp cầu.
Hình đã gửi

#6 Mũn xinh

Mũn xinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1313 Bài viết
Điểm đánh giá: 633 (tốt)

Đã gửi 23 June 2010 - 04:06 PM

Ah`, cái này của bạn là đường PL có độ dày. Để được như vậy, bạn vẽ PL với tham số width khác 0. Tham số này chính là độ dày của nét.
  • 0

...Một chiều ngồi say

Một đời thật nhẹ

Ngày qua...


#7 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 23 June 2010 - 04:19 PM

đây bạn thử down về coi xem nó vẽ mấy nét đậm màu xnah kiểu gì rồi chỉ mình với.
Chứ làm như cách bên trên lúc in ra không thấy.
Link: http://www.mediafire.com/?ummixniyi3w

LIST 1 found

LWPOLYLINE Layer: "給水管線"
Space: Model space
Linetype scaling = 10.00
Handle = 1090c
Open
Constant width 140.02
area 0.00
length 7160.95

at point X=281300.16 Y= 76493.77 Z= 0.00
at point X=281300.16 Y= 83654.73 Z= 0.00
Mấy nét đậm màu xanh vẽ bằng lệnh POLYLINE, Linetype : Center2 ,độ rộng nét 140.02
  • 1

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#8 trandanxd

trandanxd

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 24 June 2010 - 12:06 PM

em muốn vẽ đường cong , VD như nửa hình tròn mà nét nó to như thế thì dùng lệnh gì nhỉ.?
  • 0
Người ta thường cô đơn bởi vì người ta thường chỉ lo xây tường chứ không lo xây dựng những nhịp cầu.
Hình đã gửi

#9 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 24 June 2010 - 03:21 PM

em muốn vẽ đường cong , VD như nửa hình tròn mà nét nó to như thế thì dùng lệnh gì nhỉ.?

Đánh lệnh A và chọn nét là OK. Hãy thử xem nhé
  • 0
-~-~-~-~-~-~-~-~-~-~-~-~-~-~
Hôm qua là sự học hỏi nhận được sau 1 ngày
Ngày mai là sự bí ẩn mà chúng ta sẽ khám phá


------------------------------------------
http://www.tailieukythuat.com

#10 Mũn xinh

Mũn xinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1313 Bài viết
Điểm đánh giá: 633 (tốt)

Đã gửi 24 June 2010 - 03:34 PM

Command: pl PLINE
Specify start point:
Current line-width is 0.0000
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: w
Specify starting width <0.0000>: 50
Specify ending width <50.0000>: 50
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: a
Specify endpoint of arc or
[Angle/CEnter/Direction/Halfwidth/Line/Radius/Second pt/Undo/Width]: s
Specify second point on arc:
Specify end point of arc:
  • 0

...Một chiều ngồi say

Một đời thật nhẹ

Ngày qua...


#11 tkien_kt87

tkien_kt87

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 24 June 2010 - 03:59 PM

vẽ nét pl, ctrl+1 rồi chỉnh Global width được không nhỉ :cheers:
  • 0

#12 trandanxd

trandanxd

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 24 June 2010 - 08:54 PM

Command: pl PLINE
Specify start point:
Current line-width is 0.0000
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: w
Specify starting width <0.0000>: 50
Specify ending width <50.0000>: 50
Specify next point or [Arc/Halfwidth/Length/Undo/Width]: a
Specify endpoint of arc or
[Angle/CEnter/Direction/Halfwidth/Line/Radius/Second pt/Undo/Width]: s
Specify second point on arc:
Specify end point of arc:

cách của bác hay đó . THANKS nhiều nhé.
  • 0
Người ta thường cô đơn bởi vì người ta thường chỉ lo xây tường chứ không lo xây dựng những nhịp cầu.
Hình đã gửi

#13 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 25 June 2010 - 09:39 PM

Lisp này dùng để thay đổi độ dày nét. PP chưa biết tác giả là ai.
Lệnh WP
;; ================ Thay doi do day cua doi tuong =========================
(DEFUN wp (/ a b sophantu sodem list1 ha:wid)
(PRINC "\n Chon doi tuong can thay doi do day (Width) !")
(setq b (ssget))
(setq sophantu (sslength B ))
(if (null ha:wid) (setq ha:wid (getvar "tracewid")))
(princ "\nDo rong polyline <")
(princ ha:wid)
(princ ">: ")
(initget 4)
(setq ha:wid (getdist))
(if (null ha:wid) (setq ha:wid (getvar "tracewid")))
(setvar "tracewid" ha:wid)
(setvar "cmdecho" 0)
(setq sodem 0)
(repeat sophantu
(setq a (ssname b sodem))
(setq list1 (assoc 0 (entget a)))
(cond
((= (cdr list1) "POLYLINE") (command "_Pedit" a "w" ha:wid ""))
(PROGN (command "_Pedit" a "" "w" ha:wid "")) )
(setq sodem (1+ sodem)) )(SETVAR "cmdecho" 1)(princ))
(defun c:wp () (wp)) (defun c:pw () (wp))

  • 0

#14 vinh06102vt

vinh06102vt

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 02 August 2012 - 12:48 PM

mình thấy như thế này:
Cái lisp o trên dùng để thay đổi độ dày nét. thực ra là nó chỉnh global width của polyline. mình đã dùng thử thấy vậy.
vd: nếu bạn có vẽ 1 line chẳng hạn, rùi bạn dùng lisp wp trên thì nó làm 2 công đoạn: chuyển về polyline và hiệu chỉnh global width.
Cuối cùng bạn dc là 1 polyline chứ ko fai line nữa.
Nếu bạn để ý, bạn vẽ 1 line rùi chọn vào line đó, bấm ctrl+1, ra bảng thuoc tính và bạn thấy rang nếu đối tượng là line thì ko có mục global width. Còn bạn vẽ 1 đường Polyline thì có mục global width. và bạn hiệu chỉnh mục này thì bạn sẽ thấy nét vẽ trên màn hình dày hoac mỏng đình .
Mình thì thực sự vẫn chưa bít làm sao để chỉnh cái độ dày của line lên. nếu bạn nào biết thì chỉ giáo với. chứ còn nếu vẽ Polyline thì sẽ chỉnh được độ dày ngay. Các bác cao thủ vào góp ý với.....!
  • 0